## part 1: new lib
vlib work
vmap work work


## part 2: load design
vlog -novopt -incr -work work "../../simlib/gw1n/prim_sim.v"
vlog -novopt -incr -work work "../../project/gw_uart_master/src/gowin_rpll/gowin_rpll.v"
vlog -novopt -incr -work work "../../project/gw_uart_master/src/uart_master/uart_master.vo"
vlog -novopt -incr -work work "../../project/gw_uart_master/src/master_sram_uart.v"
vlog -novopt -incr -work work "../../project/gw_uart_master/src/gw_uart_master.v"
vlog -novopt -incr -work work "../../project/gw_uart_slave/impl/pnr/gw_uart_slave.vo"
vlog -novopt -incr -work work "../../tb/uart_tb.v"


## part 3: sim design
vsim -novopt work.uart_tb


## part 4: add signals
##add wave *
add wave -noupdate /uart_tb/clk
add wave -noupdate /uart_tb/rst
add wave -noupdate /uart_tb/key2
add wave -noupdate /uart_tb/tx_o
add wave -noupdate /uart_tb/rx_o
add wave -noupdate /uart_tb/u_gw_uart_master/u_master_sram_uart/receive_flag
add wave -noupdate /uart_tb/error_flag
add wave -noupdate /uart_tb/u_gw_uart_master/I_TX_EN
add wave -noupdate /uart_tb/u_gw_uart_master/I_WADDR
add wave -noupdate /uart_tb/u_gw_uart_master/I_WDATA
add wave -noupdate /uart_tb/u_gw_uart_master/I_RX_EN
add wave -noupdate /uart_tb/u_gw_uart_master/I_RADDR
add wave -noupdate /uart_tb/u_gw_uart_master/O_RDATA


## part 5: show ui 
view wave
view structure
view signals


## part 6: run 
run -all

