
`timescale 1ns/1ps

module uart_tb;

//input
    reg     clk;
    reg     rst;
	
	reg     key2;

//output
    wire    tx_o;
    wire    rx_o;
    wire    receive_flag_m;
    wire    receive_flag_s;	
    wire    error_flag;


    GSR GSR(.GSRI(1'b1));
    
    gw_uart_master u_gw_uart_master  (
        .clk_50M(clk),
        .rst_n(rst),
		.key2(key2),
		.tx_o(tx_o),
		.rx_o(rx_o),
        .receive_flag(receive_flag_m),
        .error_flag(error_flag)
    );
	
	gw_uart_slave u_gw_uart_slave  (
    	.SCLK(clk),
    	.RSTN(rst),
    	.RXD(tx_o),
    	.TXD(rx_o),
		.receive_flag(receive_flag_s)
    );	
	
    initial begin
        clk=0;
        forever #10 clk=~clk;
    end	

    initial begin
        rst=1;
        key2=1;		
        #2000000;
        rst=0;
        #6000000;
        rst=1;
        #2000000;
        key2=0;
        #6000000;
        key2=1;	
        #2000000;
        key2=0;
        #6000000;
        key2=1;	
        #2000000;
        key2=0;
        #6000000;
        key2=1;	
        #3000000;
		
		$stop;
    end

endmodule
